Package net.shibboleth.idp.admin.impl

# Class IdPInfo

java.lang.Object
net.shibboleth.profile.installablecomponent.InstallableComponentInfo
net.shibboleth.idp.admin.impl.IdPInfo

public final class IdPInfo extends InstallableComponentInfo
Implementation of `InstallableComponentInfo` for an IdP Version. This is keyed in to the format of the idp-versions.properties file (which doesn't specify max and min "supported IdP versions".

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.profile.installablecomponent.InstallableComponentInfo

`InstallableComponentInfo.VersionInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`IDP_PLUGIN_ID`
The "plugin Id" to look up idp versions with.

## Constructor Summary

Constructors
Constructor
Description
`IdPInfo(Properties props)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected InstallableComponentVersion`
`getMaxVersion(Properties props, String version)`
`protected InstallableComponentVersion`
`getMinVersion(Properties props, String version)`

### Methods inherited from class net.shibboleth.profile.installablecomponent.InstallableComponentInfo

`getAvailableVersions, getComponentId, getUpdateBaseName, getUpdateURL, isInfoComplete, isSupportedWithIdPVersion, isSupportedWithIdPVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IDP_PLUGIN_ID

@Nonnull public static final String IDP_PLUGIN_ID
The "plugin Id" to look up idp versions with.

See Also:
  - Constant Field Values

## Constructor Details

### IdPInfo

public IdPInfo(@Nonnull Properties props)
Constructor.

Parameters:
  `props` - The property file to populate from

## Method Details

### getMaxVersion

protected InstallableComponentVersion getMaxVersion(@Nonnull Properties props, @Nonnull String version)

Specified by:
  `getMaxVersion` in class `InstallableComponentInfo`

### getMinVersion

@Nullable protected InstallableComponentVersion getMinVersion(@Nonnull Properties props, @Nonnull String version)

Specified by:
  `getMinVersion` in class `InstallableComponentInfo`